UpdatePanelConfiguration
curl --request PATCH \
--url https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"panelConfiguration": {
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"folderIds": [
"<string>"
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId}"
payload = {
"updateMask": "<string>",
"panelConfiguration": {
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": True,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"folderIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"panelConfiguration\": {\n \"versionId\": \"<string>\",\n \"version\": 123,\n \"changeMessage\": \"<string>\",\n \"name\": \"<string>\",\n \"channelConfigurations\": [\n {\n \"name\": \"<string>\",\n \"type\": \"PLOTTED_CHANNEL_TYPE_UNSPECIFIED\",\n \"color\": \"<string>\",\n \"channelSettings\": {},\n \"bitFieldIndex\": 123,\n \"expression\": \"<string>\",\n \"expressionChannelReferences\": [\n {\n \"channelReference\": \"<string>\",\n \"channelIdentifier\": \"<string>\",\n \"calculatedChannelVersionId\": \"<string>\"\n }\n ],\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\"\n }\n ],\n \"chartSettings\": {},\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"isArchived\": true,\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"folderIds\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"folderIds": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}PanelConfigurationService
UpdatePanelConfiguration
Updates an existing panel configuration using using the list of fields specified in update_mask.
PATCH
/
api
/
v1
/
panel-configurations
/
{panelConfiguration.panelConfigurationId}
UpdatePanelConfiguration
curl --request PATCH \
--url https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"panelConfiguration": {
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"folderIds": [
"<string>"
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId}"
payload = {
"updateMask": "<string>",
"panelConfiguration": {
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": True,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"folderIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/panel-configurations/{panelConfiguration.panelConfigurationId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"panelConfiguration\": {\n \"versionId\": \"<string>\",\n \"version\": 123,\n \"changeMessage\": \"<string>\",\n \"name\": \"<string>\",\n \"channelConfigurations\": [\n {\n \"name\": \"<string>\",\n \"type\": \"PLOTTED_CHANNEL_TYPE_UNSPECIFIED\",\n \"color\": \"<string>\",\n \"channelSettings\": {},\n \"bitFieldIndex\": 123,\n \"expression\": \"<string>\",\n \"expressionChannelReferences\": [\n {\n \"channelReference\": \"<string>\",\n \"channelIdentifier\": \"<string>\",\n \"calculatedChannelVersionId\": \"<string>\"\n }\n ],\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\"\n }\n ],\n \"chartSettings\": {},\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"isArchived\": true,\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"folderIds\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
],
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED"
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"isArchived": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"folderIds": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The request for a call to PanelConfigurationService_UpdatePanelConfiguration to update a panel configuration. Updating a panel
configuration creates a new version of the panel configuration, leaving the previous untouched. If no update is deemed necessary, then the
the current version is returned. Use is_archived to archive/unarchive a panel configuration.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
โI